Package org.eclipse.ui

## Interface IMarkerResolutionGenerator2

All Superinterfaces:
  `IMarkerResolutionGenerator`

    public interface IMarkerResolutionGenerator2
    extends IMarkerResolutionGenerator

A marker resolution generator should implement this interface rather than `IMarkerResolutionGenerator` if it can determine whether a particular marker has any resolutions more efficiently than computing all the resolutions.

Since:
  2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasResolutions​(IMarker marker)` Returns whether there are any resolutions for the given marker.

### Methods inherited from interface org.eclipse.ui.IMarkerResolutionGenerator

`getResolutions`

### Method Detail

#### hasResolutions

    boolean hasResolutions​(IMarker marker)

Returns whether there are any resolutions for the given marker.

Parameters:
  `marker` - the marker
Returns:
  `true` if there are resolutions for the given marker, `false` if not